#ifndef __GAME_H__
#define __GAME_H__
#include <memory>
#include <vector>
#include "constants.h"
#include "display.h"
#include "rng.h"
#include "characters.h"
#include "map.h"
#include "log.h"

class game final {
private:
        display &d;
        feature features;
        std::unique_ptr<RNG> rng;
        std::unique_ptr<character> player;
        std::vector<level> levels;
public:
        game(display &new_display, int argc, char **argv);
        game_status run();
};

#endif
