#include "game.h"
#include "cursor.h"
#include "display.h"

// The way things are designed to work:
//  1. initializes a new ncurses wrapper c
//    Note: This is done the first thing in main because ncurses
//          are from procedural programming and may break otherwise (unlikely)
//  2. bind c to a new display c (that handles all output)
//  3. bind d to g for graphics

int main(int argc, char **argv) {
        cursor c;
        // binds a ncurses cursor to display
        display d(c);
        // binds display to the game
        game g(d, argc, argv);

        while (g.run() != game_status::terminated)
                d.render();

        return 0;
}
